retire plenv for asdf

Sun, 09 Jan 2022 14:55:26 -0500

author
Meredith Howard <mhoward@roomag.org>
date
Sun, 09 Jan 2022 14:55:26 -0500
changeset 964
72a7a0ffbce8
parent 963
3f9185b6a5e3
child 965
f1e5d30543ba

retire plenv for asdf

.bashrc file | annotate | diff | comparison | revisions
.zshrc file | annotate | diff | comparison | revisions
bin/homedir-setup file | annotate | diff | comparison | revisions
--- a/.bashrc
+++ b/.bashrc
@@ -11,10 +11,6 @@ for DIR in bin .cargo/bin .local/bin go/
   path-prepend "$HOME/$DIR"
 done
 
-if path-prepend "$HOME/.plenv/bin"; then
-  eval "$(plenv init -)"
-fi
-
 if [ -f ~/.bashrc.local ]; then
   source ~/.bashrc.local
 fi
--- a/.zshrc
+++ b/.zshrc
@@ -1,8 +1,5 @@
 typeset -U omz_plugins zsh_plugins envthings
 
-# Version/environment management tools to load
-envthings=(plenv rakudobrew)
-
 DISABLE_AUTO_UPDATE="true"
 # DISABLE_AUTO_TITLE="true"
 COMPLETION_WAITING_DOTS="true"
@@ -65,13 +62,6 @@ zstyle -e ':completion:*:(ssh|scp|sftp|r
 
 source ~/.profile.common
 
-for envthing in $envthings; do
-  if [ -d ~/.$envthing ]; then
-    path[1,0]="$HOME/.$envthing/bin"
-    eval "$($envthing init - zsh)"
-  fi
-done
-
 if [ -f ~/.zshrc.local ]; then
   source ~/.zshrc.local
 fi
--- a/bin/homedir-setup
+++ b/bin/homedir-setup
@@ -1,5 +1,5 @@
-#!/bin/sh
-set -eu
+#!/bin/bash
+set -euo pipefail
 
 minimal=0
 
@@ -30,20 +30,17 @@ clone_or_pull 'https://github.com/tarjoi
 zsh -i -c 'zgen update' || :
 
 if [ "$minimal" -ne 1 ]; then
-  clone_or_pull 'https://github.com/tokuhirom/plenv.git' .plenv
-  clone_or_pull 'https://github.com/skaji/perl-install'  .plenv/plugins/perl-install
+  clone_or_pull 'https://github.com/asdf-vm/asdf' .asdf
+  source .asdf/asdf.sh
 
-  clone_or_pull 'https://github.com/asdf-vm/asdf' .asdf
-
-  for PLUGIN in ruby nodejs erlang elixir; do
-    clone_or_pull "https://github.com/asdf-vm/asdf-$PLUGIN" .asdf/plugins/$PLUGIN
-  done
+  asdf plugin add perl || :
+  asdf plugin update --all
 
   bin/setup-man || :
 fi
 
 # Get rid of older stuff
-for OLD in .plenv/plugins/perl-build .rbenv .ndenv; do
+for OLD in .plenv .rbenv .ndenv; do
   if [ -e $OLD ]; then
     echo "Pruning $OLD" >&2
     rm -rf $OLD

mercurial